API referenceHealth
Subnet Health Incidents
Last updated
Fetch SLA (uptime ratio) and reconstructed downtime incidents per operational surface for one subnet over a 7d or 30d window (computed live from D1).
Path Parameters
netuid*integer
Range
0 <= valueQuery Parameters
window?string
Value in
- "7d"
- "30d"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/subnets/0/health/incidents"{ "data": { "netuid": 7, "observed_at": "2026-06-01T00:00:00.000Z", "schema_version": 1, "source": "live-cron-prober", "surfaces": [ { "downtime_ms": 1, "incident_count": 1, "incidents": [ { "duration_ms": 1, "ended_at": 1, "failed_samples": 1, "started_at": 1 } ], "samples": 1, "surface_id": "example", "uptime_ratio": 0.9966 } ], "window": "30d" }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}